Subject: RE: setup - feature change request
From: Robert Collins <[email-masked]>
To: "Gary R. Van Sickle" <[email-masked]>
Cc: [email-masked]
Date: 05 Aug 2002 12:28:38 +1000

On Mon, 2002-08-05 at 12:25, Gary R. Van Sickle wrote:
> > Did it *really* do that, because AFAIK it requires a kernel mode driver and
> > is certainly more than a weekend's work (I should know - I'm doing exactly
> > the same thing right now). Tracking down a free, licensed copy of cl.exe is
> > tough, for one... :-)
> > If it did do this, which program was it?
> 
> Yep, it really did that.  It was MS's "Intellipoint" 4.0 software, installing on
> W2K.  AFAICR that's the only time I've ever seen it though, that's why it caught
> my attention.
> 
> But having said that, perhaps it was just looking through the list of running
> apps and comparing to a list of ones which it knows will have files it's
> installing open, rather than tracing the open files to the apps which have them
> open (which I've seen other MS installers do).  That's not how it seemed to
> present itself though.

1) Does it use the windows installer service? If so, that handles
presenting the applications to close list automatically.

2) It doesn't need a kernel mode driver: Using the (forget exact name)
snapshot* functions, one can get a list of processes on the system, and
their locked files. From there it's simply a matter of walking the
list..

Rob